<?php

/**
 * A helper file for Dcat Admin, to provide autocomplete information to your IDE
 *
 * This file should not be included in your code, only analyzed by your IDE!
 *
 * @author jqh <841324345@qq.com>
 */
namespace Dcat\Admin {
    use Illuminate\Support\Collection;

    /**
     * @property Grid\Column|Collection width
     * @property Grid\Column|Collection id
     * @property Grid\Column|Collection name
     * @property Grid\Column|Collection type
     * @property Grid\Column|Collection version
     * @property Grid\Column|Collection detail
     * @property Grid\Column|Collection created_at
     * @property Grid\Column|Collection updated_at
     * @property Grid\Column|Collection is_enabled
     * @property Grid\Column|Collection parent_id
     * @property Grid\Column|Collection order
     * @property Grid\Column|Collection icon
     * @property Grid\Column|Collection uri
     * @property Grid\Column|Collection extension
     * @property Grid\Column|Collection permission_id
     * @property Grid\Column|Collection menu_id
     * @property Grid\Column|Collection slug
     * @property Grid\Column|Collection http_method
     * @property Grid\Column|Collection http_path
     * @property Grid\Column|Collection role_id
     * @property Grid\Column|Collection user_id
     * @property Grid\Column|Collection value
     * @property Grid\Column|Collection username
     * @property Grid\Column|Collection password
     * @property Grid\Column|Collection avatar
     * @property Grid\Column|Collection remember_token
     * @property Grid\Column|Collection language
     * @property Grid\Column|Collection path_id
     * @property Grid\Column|Collection content
     * @property Grid\Column|Collection cover
     * @property Grid\Column|Collection photo
     * @property Grid\Column|Collection poster
     * @property Grid\Column|Collection video
     * @property Grid\Column|Collection cert
     * @property Grid\Column|Collection detail_cn
     * @property Grid\Column|Collection pdf
     * @property Grid\Column|Collection deleted_at
     * @property Grid\Column|Collection path
     * @property Grid\Column|Collection path_md5
     * @property Grid\Column|Collection status
     * @property Grid\Column|Collection weigh
     * @property Grid\Column|Collection alpha_2
     * @property Grid\Column|Collection country_name_en
     * @property Grid\Column|Collection country_name_zh
     * @property Grid\Column|Collection seo_keywords
     * @property Grid\Column|Collection seo_description
     * @property Grid\Column|Collection sku
     * @property Grid\Column|Collection category_id
     * @property Grid\Column|Collection issuance_date
     * @property Grid\Column|Collection enabled
     * @property Grid\Column|Collection parameters
     * @property Grid\Column|Collection is_pinned
     * @property Grid\Column|Collection seo_title
     * @property Grid\Column|Collection parameter_id
     * @property Grid\Column|Collection remark
     * @property Grid\Column|Collection image_url
     * @property Grid\Column|Collection product_id
     * @property Grid\Column|Collection video_url
     * @property Grid\Column|Collection cover_image
     * @property Grid\Column|Collection client_code
     * @property Grid\Column|Collection dist_contact_number
     * @property Grid\Column|Collection dist_email
     * @property Grid\Column|Collection secondary_domain
     * @property Grid\Column|Collection country
     * @property Grid\Column|Collection country_alpha_2
     * @property Grid\Column|Collection country_lang
     * @property Grid\Column|Collection address
     * @property Grid\Column|Collection service_hotline
     * @property Grid\Column|Collection whats_app
     * @property Grid\Column|Collection facebook
     * @property Grid\Column|Collection instagram
     * @property Grid\Column|Collection youtube
     * @property Grid\Column|Collection linkedin
     * @property Grid\Column|Collection tiktok
     * @property Grid\Column|Collection site_name
     * @property Grid\Column|Collection company_name
     * @property Grid\Column|Collection appearance_id
     * @property Grid\Column|Collection custom_domain
     * @property Grid\Column|Collection domain_type
     * @property Grid\Column|Collection logo
     * @property Grid\Column|Collection copy_right
     * @property Grid\Column|Collection statistics_js
     * @property Grid\Column|Collection company_address
     * @property Grid\Column|Collection owned_appearances
     * @property Grid\Column|Collection album_folder
     * @property Grid\Column|Collection key
     * @property Grid\Column|Collection dist_id
     * @property Grid\Column|Collection describe
     * @property Grid\Column|Collection imported
     * @property Grid\Column|Collection folder
     * @property Grid\Column|Collection original_table
     * @property Grid\Column|Collection data
     * @property Grid\Column|Collection template_version
     * @property Grid\Column|Collection template_update_code
     * @property Grid\Column|Collection template_local_code
     * @property Grid\Column|Collection file_name
     * @property Grid\Column|Collection file_path
     * @property Grid\Column|Collection template_code
     * @property Grid\Column|Collection current_content
     * @property Grid\Column|Collection previous_content
     * @property Grid\Column|Collection variable_name
     * @property Grid\Column|Collection variable_value
     * @property Grid\Column|Collection variable_type
     * @property Grid\Column|Collection variable_code
     * @property Grid\Column|Collection order_number
     * @property Grid\Column|Collection customer_name
     * @property Grid\Column|Collection email
     * @property Grid\Column|Collection consulting_products
     * @property Grid\Column|Collection freight_forwarder
     * @property Grid\Column|Collection business_model
     * @property Grid\Column|Collection ip_address
     * @property Grid\Column|Collection allocate_time
     * @property Grid\Column|Collection referer_url
     * @property Grid\Column|Collection sender_id
     * @property Grid\Column|Collection target_type
     * @property Grid\Column|Collection target_ids
     * @property Grid\Column|Collection review_reply
     * @property Grid\Column|Collection message_id
     * @property Grid\Column|Collection is_read
     * @property Grid\Column|Collection token
     * @property Grid\Column|Collection tokenable_type
     * @property Grid\Column|Collection tokenable_id
     * @property Grid\Column|Collection abilities
     * @property Grid\Column|Collection last_used_at
     * @property Grid\Column|Collection expires_at
     * @property Grid\Column|Collection banner_url
     * @property Grid\Column|Collection position
     * @property Grid\Column|Collection subtitle
     * @property Grid\Column|Collection menu_type
     * @property Grid\Column|Collection menu_config
     * @property Grid\Column|Collection menu_location
     * @property Grid\Column|Collection author
     * @property Grid\Column|Collection post_date
     * @property Grid\Column|Collection page_type
     * @property Grid\Column|Collection template_file
     * @property Grid\Column|Collection pages_id
     * @property Grid\Column|Collection tag_id
     * @property Grid\Column|Collection flyer_type
     * @property Grid\Column|Collection send_type
     * @property Grid\Column|Collection send_time
     * @property Grid\Column|Collection send_content
     * @property Grid\Column|Collection account_ids
     * @property Grid\Column|Collection message
     * @property Grid\Column|Collection flyer_url
     * @property Grid\Column|Collection flyer_id
     * @property Grid\Column|Collection account_id
     * @property Grid\Column|Collection request_content
     * @property Grid\Column|Collection response_content
     * @property Grid\Column|Collection api_name
     * @property Grid\Column|Collection page_post_id
     * @property Grid\Column|Collection post_type
     * @property Grid\Column|Collection image_video_url
     * @property Grid\Column|Collection user_name
     * @property Grid\Column|Collection access_token
     * @property Grid\Column|Collection media_name
     *
     * @method Grid\Column|Collection width(string $label = null)
     * @method Grid\Column|Collection id(string $label = null)
     * @method Grid\Column|Collection name(string $label = null)
     * @method Grid\Column|Collection type(string $label = null)
     * @method Grid\Column|Collection version(string $label = null)
     * @method Grid\Column|Collection detail(string $label = null)
     * @method Grid\Column|Collection created_at(string $label = null)
     * @method Grid\Column|Collection updated_at(string $label = null)
     * @method Grid\Column|Collection is_enabled(string $label = null)
     * @method Grid\Column|Collection parent_id(string $label = null)
     * @method Grid\Column|Collection order(string $label = null)
     * @method Grid\Column|Collection icon(string $label = null)
     * @method Grid\Column|Collection uri(string $label = null)
     * @method Grid\Column|Collection extension(string $label = null)
     * @method Grid\Column|Collection permission_id(string $label = null)
     * @method Grid\Column|Collection menu_id(string $label = null)
     * @method Grid\Column|Collection slug(string $label = null)
     * @method Grid\Column|Collection http_method(string $label = null)
     * @method Grid\Column|Collection http_path(string $label = null)
     * @method Grid\Column|Collection role_id(string $label = null)
     * @method Grid\Column|Collection user_id(string $label = null)
     * @method Grid\Column|Collection value(string $label = null)
     * @method Grid\Column|Collection username(string $label = null)
     * @method Grid\Column|Collection password(string $label = null)
     * @method Grid\Column|Collection avatar(string $label = null)
     * @method Grid\Column|Collection remember_token(string $label = null)
     * @method Grid\Column|Collection language(string $label = null)
     * @method Grid\Column|Collection path_id(string $label = null)
     * @method Grid\Column|Collection content(string $label = null)
     * @method Grid\Column|Collection cover(string $label = null)
     * @method Grid\Column|Collection photo(string $label = null)
     * @method Grid\Column|Collection poster(string $label = null)
     * @method Grid\Column|Collection video(string $label = null)
     * @method Grid\Column|Collection cert(string $label = null)
     * @method Grid\Column|Collection detail_cn(string $label = null)
     * @method Grid\Column|Collection pdf(string $label = null)
     * @method Grid\Column|Collection deleted_at(string $label = null)
     * @method Grid\Column|Collection path(string $label = null)
     * @method Grid\Column|Collection path_md5(string $label = null)
     * @method Grid\Column|Collection status(string $label = null)
     * @method Grid\Column|Collection weigh(string $label = null)
     * @method Grid\Column|Collection alpha_2(string $label = null)
     * @method Grid\Column|Collection country_name_en(string $label = null)
     * @method Grid\Column|Collection country_name_zh(string $label = null)
     * @method Grid\Column|Collection seo_keywords(string $label = null)
     * @method Grid\Column|Collection seo_description(string $label = null)
     * @method Grid\Column|Collection sku(string $label = null)
     * @method Grid\Column|Collection category_id(string $label = null)
     * @method Grid\Column|Collection issuance_date(string $label = null)
     * @method Grid\Column|Collection enabled(string $label = null)
     * @method Grid\Column|Collection parameters(string $label = null)
     * @method Grid\Column|Collection is_pinned(string $label = null)
     * @method Grid\Column|Collection seo_title(string $label = null)
     * @method Grid\Column|Collection parameter_id(string $label = null)
     * @method Grid\Column|Collection remark(string $label = null)
     * @method Grid\Column|Collection image_url(string $label = null)
     * @method Grid\Column|Collection product_id(string $label = null)
     * @method Grid\Column|Collection video_url(string $label = null)
     * @method Grid\Column|Collection cover_image(string $label = null)
     * @method Grid\Column|Collection client_code(string $label = null)
     * @method Grid\Column|Collection dist_contact_number(string $label = null)
     * @method Grid\Column|Collection dist_email(string $label = null)
     * @method Grid\Column|Collection secondary_domain(string $label = null)
     * @method Grid\Column|Collection country(string $label = null)
     * @method Grid\Column|Collection country_alpha_2(string $label = null)
     * @method Grid\Column|Collection country_lang(string $label = null)
     * @method Grid\Column|Collection address(string $label = null)
     * @method Grid\Column|Collection service_hotline(string $label = null)
     * @method Grid\Column|Collection whats_app(string $label = null)
     * @method Grid\Column|Collection facebook(string $label = null)
     * @method Grid\Column|Collection instagram(string $label = null)
     * @method Grid\Column|Collection youtube(string $label = null)
     * @method Grid\Column|Collection linkedin(string $label = null)
     * @method Grid\Column|Collection tiktok(string $label = null)
     * @method Grid\Column|Collection site_name(string $label = null)
     * @method Grid\Column|Collection company_name(string $label = null)
     * @method Grid\Column|Collection appearance_id(string $label = null)
     * @method Grid\Column|Collection custom_domain(string $label = null)
     * @method Grid\Column|Collection domain_type(string $label = null)
     * @method Grid\Column|Collection logo(string $label = null)
     * @method Grid\Column|Collection copy_right(string $label = null)
     * @method Grid\Column|Collection statistics_js(string $label = null)
     * @method Grid\Column|Collection company_address(string $label = null)
     * @method Grid\Column|Collection owned_appearances(string $label = null)
     * @method Grid\Column|Collection album_folder(string $label = null)
     * @method Grid\Column|Collection key(string $label = null)
     * @method Grid\Column|Collection dist_id(string $label = null)
     * @method Grid\Column|Collection describe(string $label = null)
     * @method Grid\Column|Collection imported(string $label = null)
     * @method Grid\Column|Collection folder(string $label = null)
     * @method Grid\Column|Collection original_table(string $label = null)
     * @method Grid\Column|Collection data(string $label = null)
     * @method Grid\Column|Collection template_version(string $label = null)
     * @method Grid\Column|Collection template_update_code(string $label = null)
     * @method Grid\Column|Collection template_local_code(string $label = null)
     * @method Grid\Column|Collection file_name(string $label = null)
     * @method Grid\Column|Collection file_path(string $label = null)
     * @method Grid\Column|Collection template_code(string $label = null)
     * @method Grid\Column|Collection current_content(string $label = null)
     * @method Grid\Column|Collection previous_content(string $label = null)
     * @method Grid\Column|Collection variable_name(string $label = null)
     * @method Grid\Column|Collection variable_value(string $label = null)
     * @method Grid\Column|Collection variable_type(string $label = null)
     * @method Grid\Column|Collection variable_code(string $label = null)
     * @method Grid\Column|Collection order_number(string $label = null)
     * @method Grid\Column|Collection customer_name(string $label = null)
     * @method Grid\Column|Collection email(string $label = null)
     * @method Grid\Column|Collection consulting_products(string $label = null)
     * @method Grid\Column|Collection freight_forwarder(string $label = null)
     * @method Grid\Column|Collection business_model(string $label = null)
     * @method Grid\Column|Collection ip_address(string $label = null)
     * @method Grid\Column|Collection allocate_time(string $label = null)
     * @method Grid\Column|Collection referer_url(string $label = null)
     * @method Grid\Column|Collection sender_id(string $label = null)
     * @method Grid\Column|Collection target_type(string $label = null)
     * @method Grid\Column|Collection target_ids(string $label = null)
     * @method Grid\Column|Collection review_reply(string $label = null)
     * @method Grid\Column|Collection message_id(string $label = null)
     * @method Grid\Column|Collection is_read(string $label = null)
     * @method Grid\Column|Collection token(string $label = null)
     * @method Grid\Column|Collection tokenable_type(string $label = null)
     * @method Grid\Column|Collection tokenable_id(string $label = null)
     * @method Grid\Column|Collection abilities(string $label = null)
     * @method Grid\Column|Collection last_used_at(string $label = null)
     * @method Grid\Column|Collection expires_at(string $label = null)
     * @method Grid\Column|Collection banner_url(string $label = null)
     * @method Grid\Column|Collection position(string $label = null)
     * @method Grid\Column|Collection subtitle(string $label = null)
     * @method Grid\Column|Collection menu_type(string $label = null)
     * @method Grid\Column|Collection menu_config(string $label = null)
     * @method Grid\Column|Collection menu_location(string $label = null)
     * @method Grid\Column|Collection author(string $label = null)
     * @method Grid\Column|Collection post_date(string $label = null)
     * @method Grid\Column|Collection page_type(string $label = null)
     * @method Grid\Column|Collection template_file(string $label = null)
     * @method Grid\Column|Collection pages_id(string $label = null)
     * @method Grid\Column|Collection tag_id(string $label = null)
     * @method Grid\Column|Collection flyer_type(string $label = null)
     * @method Grid\Column|Collection send_type(string $label = null)
     * @method Grid\Column|Collection send_time(string $label = null)
     * @method Grid\Column|Collection send_content(string $label = null)
     * @method Grid\Column|Collection account_ids(string $label = null)
     * @method Grid\Column|Collection message(string $label = null)
     * @method Grid\Column|Collection flyer_url(string $label = null)
     * @method Grid\Column|Collection flyer_id(string $label = null)
     * @method Grid\Column|Collection account_id(string $label = null)
     * @method Grid\Column|Collection request_content(string $label = null)
     * @method Grid\Column|Collection response_content(string $label = null)
     * @method Grid\Column|Collection api_name(string $label = null)
     * @method Grid\Column|Collection page_post_id(string $label = null)
     * @method Grid\Column|Collection post_type(string $label = null)
     * @method Grid\Column|Collection image_video_url(string $label = null)
     * @method Grid\Column|Collection user_name(string $label = null)
     * @method Grid\Column|Collection access_token(string $label = null)
     * @method Grid\Column|Collection media_name(string $label = null)
     */
    class Grid {}

    class MiniGrid extends Grid {}

    /**
     * @property Show\Field|Collection width
     * @property Show\Field|Collection id
     * @property Show\Field|Collection name
     * @property Show\Field|Collection type
     * @property Show\Field|Collection version
     * @property Show\Field|Collection detail
     * @property Show\Field|Collection created_at
     * @property Show\Field|Collection updated_at
     * @property Show\Field|Collection is_enabled
     * @property Show\Field|Collection parent_id
     * @property Show\Field|Collection order
     * @property Show\Field|Collection icon
     * @property Show\Field|Collection uri
     * @property Show\Field|Collection extension
     * @property Show\Field|Collection permission_id
     * @property Show\Field|Collection menu_id
     * @property Show\Field|Collection slug
     * @property Show\Field|Collection http_method
     * @property Show\Field|Collection http_path
     * @property Show\Field|Collection role_id
     * @property Show\Field|Collection user_id
     * @property Show\Field|Collection value
     * @property Show\Field|Collection username
     * @property Show\Field|Collection password
     * @property Show\Field|Collection avatar
     * @property Show\Field|Collection remember_token
     * @property Show\Field|Collection language
     * @property Show\Field|Collection path_id
     * @property Show\Field|Collection content
     * @property Show\Field|Collection cover
     * @property Show\Field|Collection photo
     * @property Show\Field|Collection poster
     * @property Show\Field|Collection video
     * @property Show\Field|Collection cert
     * @property Show\Field|Collection detail_cn
     * @property Show\Field|Collection pdf
     * @property Show\Field|Collection deleted_at
     * @property Show\Field|Collection path
     * @property Show\Field|Collection path_md5
     * @property Show\Field|Collection status
     * @property Show\Field|Collection weigh
     * @property Show\Field|Collection alpha_2
     * @property Show\Field|Collection country_name_en
     * @property Show\Field|Collection country_name_zh
     * @property Show\Field|Collection seo_keywords
     * @property Show\Field|Collection seo_description
     * @property Show\Field|Collection sku
     * @property Show\Field|Collection category_id
     * @property Show\Field|Collection issuance_date
     * @property Show\Field|Collection enabled
     * @property Show\Field|Collection parameters
     * @property Show\Field|Collection is_pinned
     * @property Show\Field|Collection seo_title
     * @property Show\Field|Collection parameter_id
     * @property Show\Field|Collection remark
     * @property Show\Field|Collection image_url
     * @property Show\Field|Collection product_id
     * @property Show\Field|Collection video_url
     * @property Show\Field|Collection cover_image
     * @property Show\Field|Collection client_code
     * @property Show\Field|Collection dist_contact_number
     * @property Show\Field|Collection dist_email
     * @property Show\Field|Collection secondary_domain
     * @property Show\Field|Collection country
     * @property Show\Field|Collection country_alpha_2
     * @property Show\Field|Collection country_lang
     * @property Show\Field|Collection address
     * @property Show\Field|Collection service_hotline
     * @property Show\Field|Collection whats_app
     * @property Show\Field|Collection facebook
     * @property Show\Field|Collection instagram
     * @property Show\Field|Collection youtube
     * @property Show\Field|Collection linkedin
     * @property Show\Field|Collection tiktok
     * @property Show\Field|Collection site_name
     * @property Show\Field|Collection company_name
     * @property Show\Field|Collection appearance_id
     * @property Show\Field|Collection custom_domain
     * @property Show\Field|Collection domain_type
     * @property Show\Field|Collection logo
     * @property Show\Field|Collection copy_right
     * @property Show\Field|Collection statistics_js
     * @property Show\Field|Collection company_address
     * @property Show\Field|Collection owned_appearances
     * @property Show\Field|Collection album_folder
     * @property Show\Field|Collection key
     * @property Show\Field|Collection dist_id
     * @property Show\Field|Collection describe
     * @property Show\Field|Collection imported
     * @property Show\Field|Collection folder
     * @property Show\Field|Collection original_table
     * @property Show\Field|Collection data
     * @property Show\Field|Collection template_version
     * @property Show\Field|Collection template_update_code
     * @property Show\Field|Collection template_local_code
     * @property Show\Field|Collection file_name
     * @property Show\Field|Collection file_path
     * @property Show\Field|Collection template_code
     * @property Show\Field|Collection current_content
     * @property Show\Field|Collection previous_content
     * @property Show\Field|Collection variable_name
     * @property Show\Field|Collection variable_value
     * @property Show\Field|Collection variable_type
     * @property Show\Field|Collection variable_code
     * @property Show\Field|Collection order_number
     * @property Show\Field|Collection customer_name
     * @property Show\Field|Collection email
     * @property Show\Field|Collection consulting_products
     * @property Show\Field|Collection freight_forwarder
     * @property Show\Field|Collection business_model
     * @property Show\Field|Collection ip_address
     * @property Show\Field|Collection allocate_time
     * @property Show\Field|Collection referer_url
     * @property Show\Field|Collection sender_id
     * @property Show\Field|Collection target_type
     * @property Show\Field|Collection target_ids
     * @property Show\Field|Collection review_reply
     * @property Show\Field|Collection message_id
     * @property Show\Field|Collection is_read
     * @property Show\Field|Collection token
     * @property Show\Field|Collection tokenable_type
     * @property Show\Field|Collection tokenable_id
     * @property Show\Field|Collection abilities
     * @property Show\Field|Collection last_used_at
     * @property Show\Field|Collection expires_at
     * @property Show\Field|Collection banner_url
     * @property Show\Field|Collection position
     * @property Show\Field|Collection subtitle
     * @property Show\Field|Collection menu_type
     * @property Show\Field|Collection menu_config
     * @property Show\Field|Collection menu_location
     * @property Show\Field|Collection author
     * @property Show\Field|Collection post_date
     * @property Show\Field|Collection page_type
     * @property Show\Field|Collection template_file
     * @property Show\Field|Collection pages_id
     * @property Show\Field|Collection tag_id
     * @property Show\Field|Collection flyer_type
     * @property Show\Field|Collection send_type
     * @property Show\Field|Collection send_time
     * @property Show\Field|Collection send_content
     * @property Show\Field|Collection account_ids
     * @property Show\Field|Collection message
     * @property Show\Field|Collection flyer_url
     * @property Show\Field|Collection flyer_id
     * @property Show\Field|Collection account_id
     * @property Show\Field|Collection request_content
     * @property Show\Field|Collection response_content
     * @property Show\Field|Collection api_name
     * @property Show\Field|Collection page_post_id
     * @property Show\Field|Collection post_type
     * @property Show\Field|Collection image_video_url
     * @property Show\Field|Collection user_name
     * @property Show\Field|Collection access_token
     * @property Show\Field|Collection media_name
     *
     * @method Show\Field|Collection width(string $label = null)
     * @method Show\Field|Collection id(string $label = null)
     * @method Show\Field|Collection name(string $label = null)
     * @method Show\Field|Collection type(string $label = null)
     * @method Show\Field|Collection version(string $label = null)
     * @method Show\Field|Collection detail(string $label = null)
     * @method Show\Field|Collection created_at(string $label = null)
     * @method Show\Field|Collection updated_at(string $label = null)
     * @method Show\Field|Collection is_enabled(string $label = null)
     * @method Show\Field|Collection parent_id(string $label = null)
     * @method Show\Field|Collection order(string $label = null)
     * @method Show\Field|Collection icon(string $label = null)
     * @method Show\Field|Collection uri(string $label = null)
     * @method Show\Field|Collection extension(string $label = null)
     * @method Show\Field|Collection permission_id(string $label = null)
     * @method Show\Field|Collection menu_id(string $label = null)
     * @method Show\Field|Collection slug(string $label = null)
     * @method Show\Field|Collection http_method(string $label = null)
     * @method Show\Field|Collection http_path(string $label = null)
     * @method Show\Field|Collection role_id(string $label = null)
     * @method Show\Field|Collection user_id(string $label = null)
     * @method Show\Field|Collection value(string $label = null)
     * @method Show\Field|Collection username(string $label = null)
     * @method Show\Field|Collection password(string $label = null)
     * @method Show\Field|Collection avatar(string $label = null)
     * @method Show\Field|Collection remember_token(string $label = null)
     * @method Show\Field|Collection language(string $label = null)
     * @method Show\Field|Collection path_id(string $label = null)
     * @method Show\Field|Collection content(string $label = null)
     * @method Show\Field|Collection cover(string $label = null)
     * @method Show\Field|Collection photo(string $label = null)
     * @method Show\Field|Collection poster(string $label = null)
     * @method Show\Field|Collection video(string $label = null)
     * @method Show\Field|Collection cert(string $label = null)
     * @method Show\Field|Collection detail_cn(string $label = null)
     * @method Show\Field|Collection pdf(string $label = null)
     * @method Show\Field|Collection deleted_at(string $label = null)
     * @method Show\Field|Collection path(string $label = null)
     * @method Show\Field|Collection path_md5(string $label = null)
     * @method Show\Field|Collection status(string $label = null)
     * @method Show\Field|Collection weigh(string $label = null)
     * @method Show\Field|Collection alpha_2(string $label = null)
     * @method Show\Field|Collection country_name_en(string $label = null)
     * @method Show\Field|Collection country_name_zh(string $label = null)
     * @method Show\Field|Collection seo_keywords(string $label = null)
     * @method Show\Field|Collection seo_description(string $label = null)
     * @method Show\Field|Collection sku(string $label = null)
     * @method Show\Field|Collection category_id(string $label = null)
     * @method Show\Field|Collection issuance_date(string $label = null)
     * @method Show\Field|Collection enabled(string $label = null)
     * @method Show\Field|Collection parameters(string $label = null)
     * @method Show\Field|Collection is_pinned(string $label = null)
     * @method Show\Field|Collection seo_title(string $label = null)
     * @method Show\Field|Collection parameter_id(string $label = null)
     * @method Show\Field|Collection remark(string $label = null)
     * @method Show\Field|Collection image_url(string $label = null)
     * @method Show\Field|Collection product_id(string $label = null)
     * @method Show\Field|Collection video_url(string $label = null)
     * @method Show\Field|Collection cover_image(string $label = null)
     * @method Show\Field|Collection client_code(string $label = null)
     * @method Show\Field|Collection dist_contact_number(string $label = null)
     * @method Show\Field|Collection dist_email(string $label = null)
     * @method Show\Field|Collection secondary_domain(string $label = null)
     * @method Show\Field|Collection country(string $label = null)
     * @method Show\Field|Collection country_alpha_2(string $label = null)
     * @method Show\Field|Collection country_lang(string $label = null)
     * @method Show\Field|Collection address(string $label = null)
     * @method Show\Field|Collection service_hotline(string $label = null)
     * @method Show\Field|Collection whats_app(string $label = null)
     * @method Show\Field|Collection facebook(string $label = null)
     * @method Show\Field|Collection instagram(string $label = null)
     * @method Show\Field|Collection youtube(string $label = null)
     * @method Show\Field|Collection linkedin(string $label = null)
     * @method Show\Field|Collection tiktok(string $label = null)
     * @method Show\Field|Collection site_name(string $label = null)
     * @method Show\Field|Collection company_name(string $label = null)
     * @method Show\Field|Collection appearance_id(string $label = null)
     * @method Show\Field|Collection custom_domain(string $label = null)
     * @method Show\Field|Collection domain_type(string $label = null)
     * @method Show\Field|Collection logo(string $label = null)
     * @method Show\Field|Collection copy_right(string $label = null)
     * @method Show\Field|Collection statistics_js(string $label = null)
     * @method Show\Field|Collection company_address(string $label = null)
     * @method Show\Field|Collection owned_appearances(string $label = null)
     * @method Show\Field|Collection album_folder(string $label = null)
     * @method Show\Field|Collection key(string $label = null)
     * @method Show\Field|Collection dist_id(string $label = null)
     * @method Show\Field|Collection describe(string $label = null)
     * @method Show\Field|Collection imported(string $label = null)
     * @method Show\Field|Collection folder(string $label = null)
     * @method Show\Field|Collection original_table(string $label = null)
     * @method Show\Field|Collection data(string $label = null)
     * @method Show\Field|Collection template_version(string $label = null)
     * @method Show\Field|Collection template_update_code(string $label = null)
     * @method Show\Field|Collection template_local_code(string $label = null)
     * @method Show\Field|Collection file_name(string $label = null)
     * @method Show\Field|Collection file_path(string $label = null)
     * @method Show\Field|Collection template_code(string $label = null)
     * @method Show\Field|Collection current_content(string $label = null)
     * @method Show\Field|Collection previous_content(string $label = null)
     * @method Show\Field|Collection variable_name(string $label = null)
     * @method Show\Field|Collection variable_value(string $label = null)
     * @method Show\Field|Collection variable_type(string $label = null)
     * @method Show\Field|Collection variable_code(string $label = null)
     * @method Show\Field|Collection order_number(string $label = null)
     * @method Show\Field|Collection customer_name(string $label = null)
     * @method Show\Field|Collection email(string $label = null)
     * @method Show\Field|Collection consulting_products(string $label = null)
     * @method Show\Field|Collection freight_forwarder(string $label = null)
     * @method Show\Field|Collection business_model(string $label = null)
     * @method Show\Field|Collection ip_address(string $label = null)
     * @method Show\Field|Collection allocate_time(string $label = null)
     * @method Show\Field|Collection referer_url(string $label = null)
     * @method Show\Field|Collection sender_id(string $label = null)
     * @method Show\Field|Collection target_type(string $label = null)
     * @method Show\Field|Collection target_ids(string $label = null)
     * @method Show\Field|Collection review_reply(string $label = null)
     * @method Show\Field|Collection message_id(string $label = null)
     * @method Show\Field|Collection is_read(string $label = null)
     * @method Show\Field|Collection token(string $label = null)
     * @method Show\Field|Collection tokenable_type(string $label = null)
     * @method Show\Field|Collection tokenable_id(string $label = null)
     * @method Show\Field|Collection abilities(string $label = null)
     * @method Show\Field|Collection last_used_at(string $label = null)
     * @method Show\Field|Collection expires_at(string $label = null)
     * @method Show\Field|Collection banner_url(string $label = null)
     * @method Show\Field|Collection position(string $label = null)
     * @method Show\Field|Collection subtitle(string $label = null)
     * @method Show\Field|Collection menu_type(string $label = null)
     * @method Show\Field|Collection menu_config(string $label = null)
     * @method Show\Field|Collection menu_location(string $label = null)
     * @method Show\Field|Collection author(string $label = null)
     * @method Show\Field|Collection post_date(string $label = null)
     * @method Show\Field|Collection page_type(string $label = null)
     * @method Show\Field|Collection template_file(string $label = null)
     * @method Show\Field|Collection pages_id(string $label = null)
     * @method Show\Field|Collection tag_id(string $label = null)
     * @method Show\Field|Collection flyer_type(string $label = null)
     * @method Show\Field|Collection send_type(string $label = null)
     * @method Show\Field|Collection send_time(string $label = null)
     * @method Show\Field|Collection send_content(string $label = null)
     * @method Show\Field|Collection account_ids(string $label = null)
     * @method Show\Field|Collection message(string $label = null)
     * @method Show\Field|Collection flyer_url(string $label = null)
     * @method Show\Field|Collection flyer_id(string $label = null)
     * @method Show\Field|Collection account_id(string $label = null)
     * @method Show\Field|Collection request_content(string $label = null)
     * @method Show\Field|Collection response_content(string $label = null)
     * @method Show\Field|Collection api_name(string $label = null)
     * @method Show\Field|Collection page_post_id(string $label = null)
     * @method Show\Field|Collection post_type(string $label = null)
     * @method Show\Field|Collection image_video_url(string $label = null)
     * @method Show\Field|Collection user_name(string $label = null)
     * @method Show\Field|Collection access_token(string $label = null)
     * @method Show\Field|Collection media_name(string $label = null)
     */
    class Show {}

    /**
     * @method \App\Exceptions\Form\MultipleCutImage multipleCutImage(...$params)
     * @method \App\Exceptions\Form\CutImage cutImage(...$params)
     * @method \Dcat\Admin\Form\Extend\Distpicker\Form\Distpicker distpicker(...$params)
     * @method \Dcat\Admin\Form\Extend\Diyforms\Form\DiyForm diyForm(...$params)
     */
    class Form {}

}

namespace Dcat\Admin\Grid {
    /**
     * @method $this distpicker(...$params)
     */
    class Column {}

    /**
     * @method \Dcat\Admin\Form\Extend\Distpicker\Filter\DistpickerFilter distpicker(...$params)
     */
    class Filter {}
}

namespace Dcat\Admin\Show {
    /**
     * @method $this diyForm(...$params)
     */
    class Field {}
}
